import React from 'react';
// eslint-disable-next-line no-unused-vars
import Table from './index';
import './demo.css';

const head = ['序号', '名字', '性别', '年龄'];
class Alphabet extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      data: [
        {
          index: 1,
          name: '张三',
          sex: '男',
          age: '16',
        },
      ],
    };
    this.addUser = this.addUser.bind(this);
  }

  addUser() {
    const {data} = this.state;
    data.push({
      index: this.state.data.length + 1,
      name: this.refs.inputName.value,
      sex: this.refs.inputSex.value,
      age: this.refs.inputAge.value,
    });
    this.setState(() => ({
      data,
    }));
    this.refs.inputName.value = '';
    this.refs.inputSex.value = '';
    this.refs.inputAge.value = '';
  }

  render() {
    return (
      <>
        <div className="addBox">
          <input className="inputPublic inputName" ref="inputName" type="text" placeholder="姓名" />
          <input className="inputPublic inputSex" ref="inputSex" type="text" placeholder="性别" />
          <input className="inputPublic inputAge" ref="inputAge" type="text" placeholder="年龄" />
          <p className="addBtn" onClick={this.addUser}>
            添加
          </p>
        </div>
        <Table dataSource={this.state.data} header={head} />
      </>
    );
  }
}

export default Alphabet;
